summaryrefslogtreecommitdiff
path: root/magnet
diff options
context:
space:
mode:
Diffstat (limited to 'magnet')
-rwxr-xr-xmagnet6
1 files changed, 6 insertions, 0 deletions
diff --git a/magnet b/magnet
new file mode 100755
index 0000000..c60297d
--- /dev/null
+++ b/magnet
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+cd ~/z
+[[ "$1" =~ xt=urn:btih:([^&/]+) ]] || exit;
+echo "d10:magnet-uri${#1}:${1}e" > "meta-${BASH_REMATCH[1]}.torrent"
+